Freeciv-3.3: counter Struct Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Data Fields
counter Struct Reference

`#include <counters.h>`

## Data Fields

struct name_translation | name
struct strvec * | helptext
bool | ruledit_disabled
enum counter_behaviour | type
enum counter_target | target
int | checkpoint
int | def
int | index

## Detailed Description

Definition at line 26 of file counters.h.

## Field Documentation

## ◆ checkpoint

int counter::checkpoint

Definition at line 33 of file counters.h.

Referenced by tab_counter::checkpoint_given(), tab_counter::initialize_new_counter(), is_counter_req_active(), and tab_counter::update_counter_info().

## ◆ def

int counter::def

Definition at line 34 of file counters.h.

Referenced by create_city_virtual(), tab_counter::default_given(), tab_counter::initialize_new_counter(), and tab_counter::update_counter_info().

## ◆ helptext

struct strvec* counter::helptext

Definition at line 29 of file counters.h.

Referenced by counters_free().

## ◆ index

int counter::index

Definition at line 37 of file counters.h.

Referenced by attach_city_counter(), counter_by_index(), and tab_counter::initialize_new_counter().

## ◆ name

struct name_translation counter::name

Definition at line 28 of file counters.h.

Referenced by counter_name_translation(), tab_counter::initialize_new_counter(), tab_counter::name_given(), and tab_counter::update_counter_info().

## ◆ ruledit_disabled

bool counter::ruledit_disabled

Definition at line 30 of file counters.h.

Referenced by attach_city_counter(), tab_counter::delete_now(), and tab_counter::initialize_new_counter().

## ◆ target

enum counter_target counter::target

Definition at line 32 of file counters.h.

Referenced by counter_by_index(), and tab_counter::initialize_new_counter().

## ◆ type

enum counter_behaviour counter::type

Definition at line 31 of file counters.h.

Referenced by api_counter_increase(), api_counter_zero(), tab_counter::counter_behaviour_selected(), tab_counter::initialize_new_counter(), and send_ruleset_cache().